<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:paddingBottom="24dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        android:paddingHorizontal="16dp"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:text="@string/room_create_room_title"
            android:textColor="@color/color_FF1D2129"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_room_cover"
        android:layout_width="105dp"
        android:layout_height="105dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/v_upload_cover"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/common_add_photo_bg"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/btn_add_picture"
                android:layout_width="24dp"
                android:layout_height="24dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_chainStyle="packed"
                app:srcCompat="@drawable/common_add_photo_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="0dp"
                android:layout_height="22dp"
                android:background="@drawable/room_upload_cover_bg"
                android:gravity="center"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/room_upload_cover"
                android:textColor="@color/white"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/v_cover"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible">

            <com.adealink.frame.image.view.NetworkImageView
                android:id="@+id/iv_room_cover"
                android:layout_width="0dp"
                android:layout_height="0dp"
                style="@style/CommonNetworkImage"
                android:scaleType="centerCrop"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:roundedCornerRadius="12dp" />

            <com.adealink.weparty.commonui.widget.UploadProgressView
                android:id="@+id/v_upload_progress"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:visibility="visible" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="0dp"
                android:layout_height="22dp"
                android:background="@drawable/room_upload_cover_bg"
                android:gravity="center"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/room_change_cover"
                android:textColor="@color/white"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_room_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:paddingHorizontal="16dp"
        app:layout_constraintTop_toBottomOf="@id/cl_room_cover">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_room_name_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/room_name"
            android:textColor="@color/color_FF4E5969"
            android:textSize="12sp"
            app:fontFamily="@font/poppins_semibold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_room_name_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/room_name"
            android:textColor="@color/color_FF4E5969"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/tv_room_name_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_room_name_title"
            tools:text="0/20" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_room_name"
            android:layout_width="0dp"
            android:layout_height="46dp"
            android:layout_marginTop="8dp"
            android:background="@drawable/common_input_edit_bg"
            android:gravity="center_vertical|start"
            android:hint="@string/room_name_input_hint"
            android:includeFontPadding="false"
            android:paddingHorizontal="12dp"
            android:singleLine="true"
            android:textColor="@color/color_FF4E5969"
            android:textColorHint="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:fontFamily="@font/poppins_semibold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_room_name_title" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_room_mic_setting"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="16dp"
        app:layout_constraintTop_toBottomOf="@id/cl_room_name">

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:includeFontPadding="false"
            android:text="@string/room_mic_setting_enter_room_mute"
            android:textColor="@color/color_FF1D2129"
            app:fontFamily="@font/poppins_semibold"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/v_mic_mute_switch"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.adealink.weparty.commonui.widget.switchbutton.SwitchButton
            android:id="@+id/v_mic_mute_switch"
            style="@style/CommonSwitchButton"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_confirm"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="16dp"
        app:button_left_drawable="@drawable/room_create_ic"
        app:button_left_drawable_margin="4dp"
        app:button_left_drawable_width="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_room_mic_setting"
        app:text="@string/commonui_confirm"
        app:textColor="@color/white"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>